#pragma once
#include <stdlib.h>

class MyImage
{

public:
	enum Type{RGB=3,RGBA=4};
	MyImage(int _w,int _h, Type _t);
	MyImage(const MyImage & myImage);
	~MyImage(void);

	const int getNumComponents() const;
	const int getNumElements() const;
	const int getWidth() const;
	const int getHeight() const;
	const Type getType() const;
	unsigned char * data;

	unsigned char & operator()(int i, int j, int c); 
	MyImage& operator=(const MyImage& myImage);

private:
	int width;
	int height;
	Type type;


};

